# Environment variables
# ---------------------

set -x PATH $HOME/bin \
            $HOME/.composer/vendor/bin \
            $HOME/.local/bin \
            $HOME/.linuxbrew/bin \
            $PATH

set -x MANPATH $HOME/.linuxbrew/share/man \
                $MANPATH

# language
set -x LANG de_DE.UTF-8

# editor
set -x VISUAL "$HOME/.config/fish/pkgs/rmate/rmate -p 64364 -w" # Visual Studio Code (wait mode)
set -x EDITOR 'nano -w' # nano as fallback editor

set -x XDG_CONFIG_HOME $HOME/.config

# Aliases
# -------

# Edit file remotely with VS Code
alias code="$HOME/.config/fish/pkgs/rmate/rmate -p 64364"

# Short ls command
alias l='ls -la'

# General Settings
# ----------------

# enforce 24-bit color mode
# (the requried env var is not transmitted via SSH)
set -x COLORTERM truecolor
set -g fish_term24bit 1

# settings for the bobthefish theme
set -g fish_prompt_pwd_dir_length 0
set -g theme_color_scheme solarized-dark
set -g theme_date_format '+%a %d.%m.%y %H:%M:%S'
set -g theme_display_git_master_branch yes
set -g theme_show_exit_status yes
set -g theme_title_use_abbreviated_path no
set -x VIRTUAL_ENV_DISABLE_PROMPT 1
